// pages/volunteer/volunteer.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    baseUrl: 'http://192.168.0.111:8888/volunteer/',
    token: '',
    otherTeamMap: {},
    type: '1',
    teamId: '',

  },
  getToken: function() {
    var self = this;
    return new Promise(resolve =>{
      wx.getStorage({
        key: 'token',
        success(res) {
          self.setData({
            token: res.data
          })
          return resolve();
        }
      })
    })
  },
  newTeam: function () {
    wx.navigateTo({
      url: '../newTeam/newTeam',
    })
  },
  changeTab: function(e) {
    var self = this;
    self.setData({
      type: e.currentTarget.dataset.type
    })
    if(self.data.type === '1') {
      self.otherTeam(self.data.baseUrl + 'wxminiapp/team/otherteamm?otherTeam=true');
    }else {
      self.otherTeam(self.data.baseUrl + 'wxminiapp/team/myjointeam?myTeam=true');
    }
  },
  otherTeam: function(url) {
    var self = this;
    wx.request({
      url: url,
      header: {
        token: self.data.token
      },
      success(res) {
        if('200' == res.statusCode) {
          self.setData({
            otherTeamMap: res.data.rows
          })
        }
        console.log(res)
        console.log(self.data.otherTeamMap)
      }
    })
  },
  /**
   * 申请/退出加入团队
   */
  joinOrOutTeam: function(e) {
    var self = this;
    self.setData({
      teamId: e.currentTarget.dataset.teamid
    })
    var teamMemberVO;
    var url;
    var methodType;
    var title;
    if('1' == self.data.type) {
      url = self.data.baseUrl + 'wxminiapp/teammember/saveteammember'
      teamMemberVO = {
        teamId: e.currentTarget.dataset.teamid
      }
      methodType = 'POST'
      title = '申请成功！'
    }else {
      url = self.data.baseUrl + 'wxminiapp/teammember/quitTeam/' + self.data.teamId
      methodType = 'GET'
      title = '退出成功！'
    }
    wx.request({
      url: url,
      data: teamMemberVO,
      method: methodType,
      header: {
        token: self.data.token
      },
      success(res) {
        if('200' == res.statusCode) {
          wx.showToast({
            title: title,
            icon: 'none',
            duration: 2000
          })
          wx.navigateTo({
            url: '../volunteer/volunteer',
          })
        }
      }
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    var self = this;
    this.getToken().then(result => {
      this.otherTeam(self.data.baseUrl + 'wxminiapp/team/otherteamm?otherTeam=true');
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})